<template lang="pug">
	button
		i menu
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_dimensions.scss";

button {
	margin: 5px;
	padding: 0 4px;
	height: calc(#{$header-height} - 12px);
	display: inline-block;
	font-size: 13px;
	border: none;
	border-radius: 2px;
	cursor: pointer;
	transition: background-color 200ms;
	color: rgba(12, 12, 13, 0.8);
	background-color: transparent;
	&:hover {
		background-color: rgba(12, 12, 13, 0.1);
	}
	&:active {
		background-color: rgba(12, 12, 13, 0.2);
	}
	&::-moz-focus-inner {
		border: 0;
	}
}

i {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 32px;  /* Preferred icon size */
	display: inline-block;
	line-height: calc(#{$header-height} - 12px);
	width: 100%;
	max-width: 100%;
	text-transform: none;
	letter-spacing: normal;
	word-wrap: normal;
	white-space: nowrap;
	direction: ltr;

	/* Support for all WebKit browsers. */
	-webkit-font-smoothing: antialiased;
	/* Support for Safari and Chrome. */
	text-rendering: optimizeLegibility;

	/* Support for Firefox. */
	-moz-osx-font-smoothing: grayscale;

	/* Support for IE. */
	font-feature-settings: 'liga';
}
</style>
